Bug 851469 - Updating a fact causes NPE with extends
Updating a fact causes NPE with extends
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Fusco
Martin Vecera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 05:24 EDT by Mario Fusco
Modified: 2013-10-10 20:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When one rule extended another rule and both rules reference the same fact in their conditions, calling an update on that fact after calling fireAllRules caused a NullPointerException. This has been resolved by checking that a rule is enabled before adding its activation to the agenda. The NullPointerException no longer occurs in this situation.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBRULES-3604 Major Resolved Updating a fact causes NPE with extends 2012-11-21 01:44:10 EST

  None (edit)
Description Mario Fusco 2012-08-24 05:24:55 EDT

    
Comment 1 Iva Zakova 2012-09-17 05:59:30 EDT
Verified in 5.3.1.ER1.

Note You need to log in before you can comment on or make changes to this bug.